#!/bin/sh
# make-examples.sh - creates bitmaps of the various planar transmission line models to be analyzed by atlc.
#
# single ended transmission lines:
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -er=4.6 micro_stripline.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -er=4.6 -d=20 -ef=4.8 micro_stripline_sr.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -er=4.6 -d=100 -ef=4.8 micro_stripline_filler.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -er=4.6 -d=fill -H=210 stripline.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -er=4.6 -d=fill -ef=4.8 -H=210 stripline_pp.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=50 -er=4.6 conductor_backed_coplanar.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=50 -er=4.6 -d=20 -ef=4.8 conductor_backed_coplanar_sr.bmp) 
(bmp4ptl -w=100 -h=100 -t=9 -s=50 -er=4.6 -d=100 -ef=4.8 conductor_backed_coplanar_filler.bmp) 
(bmp4ptl -w=50  -h=100 -t=9 -s=50 -er=4.6 -H=210 -W=350 shielded_coplanar.bmp) &
(bmp4ptl -w=50  -h=100 -t=9 -s=50 -er=4.6 -d=fill -ef=4.8 -H=210 -W=350 channelized_coplanar.bmp)
#
# couplers:
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -g=100 -er=4.6 coupler_microstrip.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -g=100 -d=20 -er=4.6 -ef=4.8 coupler_microstrip_sr.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -g=100 -d=100 -er=4.6 -ef=4.8 coupler_microstrip_filler.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -g=100 -er=4.6 -d=fill -H=210 coupler_stripline.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=strip -g=100 -er=4.6 -d=fill -ef=4.8 -H=210 coupler_stripline_pp.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=100 -g=100 -er=4.6 coupler_conductor_backed_coplanar.bmp) &
(bmp4ptl -w=100 -h=100 -t=9 -s=100 -g=100 -d=20 -er=4.6 -ef=4.8 coupler_conductor_backed_coplanar_sr.bmp)
(bmp4ptl -w=100 -h=100 -t=9 -s=100 -g=100 -d=100 -er=4.6 -ef=4.8 coupler_conductor_backed_coplanar_filler.bmp) &
#
#experimental
(bmp4ptl -w=115 -h=100 -strip -er=4.6 -wire wireline.bmp) &
(bmp4ptl -w=115 -h=100 -strip -c=8 -er=4.6 -ec=5.0 -wire wireline_enamel.bmp) &
(bmp4ptl -w=115 -h=100 -strip -d=230 -er=4.6 -ef=4.8 -wire -gap=100 coupler_wire.bmp) &
